Package org.bukkit.event.raid

# Class RaidSpawnWaveEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.raid.RaidEvent
org.bukkit.event.raid.RaidSpawnWaveEvent

public class RaidSpawnWaveEvent extends RaidEvent
Called when a raid wave spawns.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`RaidSpawnWaveEvent(@NotNull Raid raid, @NotNull World world, @Nullable Raider leader, @NotNull List<Raider> raiders)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Raider`
`getPatrolLeader()`
Returns the patrol leader.
`@NotNull List<Raider>`
`getRaiders()`
Returns all `Raider` that spawned in this wave.

### Methods inherited from class org.bukkit.event.raid.RaidEvent

`getRaid`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RaidSpawnWaveEvent

public RaidSpawnWaveEvent(@NotNull @NotNull Raid raid, @NotNull @NotNull World world, @Nullable @Nullable Raider leader, @NotNull @NotNull List<Raider> raiders)

## Method Details

### getPatrolLeader

@Nullable public @Nullable Raider getPatrolLeader()
Returns the patrol leader.

Returns:
  `Raider`

### getRaiders

@NotNull public @NotNull List<Raider> getRaiders()
Returns all `Raider` that spawned in this wave.

Returns:
  an immutable list of raiders

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()